Metafunction
IsContiguous
Determines whether a container stores its elements in a contiguous array.
IsContiguous<T>::VALUE
Include Headers
seqan/sequence.h
Parameters

T | Type that is tested for being a string. Types: char array, Segment, std::basic_string, std::list, std::vector

Remarks
Definition: A sequence container is "contiguous", if its elements are stored in a single contiguous array. Examples for contiguous sequences are Alloc String or char array.
If an object obj is a contiguous sequence, then begin(obj) can be converted to a pointer to the first element of the content array.
Return Values

VALUE | true if T is a string, false otherwise.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50